import 'package:flutter/material.dart';

class NavItem extends StatefulWidget {
  final IconData icon;
  final Color bg;
  final double size;
  final current;
  int index;
  Function onTap;

  NavItem({
    Key key,
    this.icon,
    this.bg,
    this.size,
    this.current,
    this.index,
    this.onTap,
  }) : super(key: key);

  @override
  _NavItemState createState() => _NavItemState();
}

class _NavItemState extends State<NavItem> {
  @override
  Widget build(BuildContext context) {
    return Container(
      child: IconButton(
        icon: Icon(
          widget.icon,
          size: widget.size,
          color: widget.bg,
        ),
        onPressed: widget.onTap,
      ),
    );
  }
}
